<?php

#Include de la API de Centauro SMS PHP
include_once "lib/centaurosms.php";

$id_credencial = '329449792753393';  // Asegúrate de que este valor no esté vacío
$token = 'FalOnOYQeKsuPEvrZkNO'; // Asegúrate de que este valor no esté vacío

$SMS = new CentauroSMS($id_credencial, $token);

#Acceder a la cantidad de SMS disponibles 
$SMS_disponibles = $SMS->get_sms_disponibles(); 

//echo $SMS_disponibles['response']['sms_disponibles'];
// Definimos las variables
$plan       = 500;
$respan     = $SMS_disponibles['response']['sms_disponibles'];
//$enviado    = $plan-$respan;
if (!empty($respan)) {
    $enviado    = $plan-$respan;
} else {
    $enviado    = $plan;
    $respan = 0;
}

// Retornamos los datos como JSON
echo json_encode([
    'plan' => $plan,
    'enviado' => $enviado,
    'respan' => $respan
]);

//echo json_encode($SMS_disponibles);





